<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      autoReload="true"
      throwExceptions="false">

	<variable name="appName" value="FSI.BT.IR.Plc.Settings.Log" />

	<!-- the targets to write to -->
	<targets>
		<!-- write logs to file -->
		<target xsi:type="File" 
				name="logfile" 
				fileName="d:/logs/${appName}/${appName}.log" 
				archiveFileName ="d:/logs/${appName}/{#}_${appName}.log" 
				archiveNumbering ="Date" archiveEvery="Day" 
				archiveDateFormat="yyyyMMdd"/>

		<target name="viewer"
				xsi:type="NLogViewer"
				includeSourceInfo="true"
				address="udp://FDESINB0166:9999"/>

	</targets>

	<!-- rules to map from logger name to target -->
	<rules>
		<logger name="*" 
				minlevel="Trace"
				writeTo="logfile,logconsole,console" />

		<logger name="*"
            minlevel="Debug"				
            writeTo="viewer" />
	</rules>
</nlog>